aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorOliver Smith <osmith@sysmocom.de>2019-06-27 09:57:01 +0200
committerOliver Smith <osmith@sysmocom.de>2019-06-27 09:57:01 +0200
commit0436d95f2e2fccffa8cbe9db3bf1ab86cf4ea43b (patch)
tree2e9684e1503461eed7a80c243aaf8d88615fa1de
parentb39b785fdf7a215c62d565c898204b1569ad1749 (diff)
regen_doc: check OSMO_INTERACT_VTY, fix default
Change default from osmo-interact-vty.py to osmo_interact_vty.py, which is the name of the script in osmo-python-tests.git. Check if that script is in PATH before building and running the docker container. Change-Id: I763c7379b710160e0155f1fde091137754141335
-rwxr-xr-xscripts/regen_doc.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/scripts/regen_doc.sh b/scripts/regen_doc.sh
index 5327ae8..cd85d01 100755
--- a/scripts/regen_doc.sh
+++ b/scripts/regen_doc.sh
@@ -10,7 +10,12 @@ DOCKER_EXTRA="$5"
IMAGE_SUFFIX="${IMAGE_SUFFIX:-master}"
if [ -z "$OSMO_INTERACT_VTY" ]; then
- OSMO_INTERACT_VTY="osmo-interact-vty.py"
+ OSMO_INTERACT_VTY="osmo_interact_vty.py"
+fi
+if ! command -v "$OSMO_INTERACT_VTY" 2>&1; then
+ set +x
+ echo "ERROR: $OSMO_INTERACT_VTY not found. Are osmo-python-tests in PATH?"
+ exit 1
fi
docker_images_require \